# -*- coding: utf-8 -*-

from dbinterface import get_agents_list
from sharedvariables import agents_list

def get_servers():
    list_ = get_agents_list()
    for l in list_:
        l['status'] = get_agent_status(l['id'])
    return list_

            
def get_agent_status(server_id):
    if server_id in agents_list:
        return agents_list[server_id].status
    else:
        return "Offline"