# coding: utf-8

import json

def auth_response(login, password):
    message = {'command': 'auth_response',
               'login': login,
               'password': password}
    return json.dumps(message)

def state_response(state):
    message = {'command': 'state_response',
               'state': state}
    return json.dumps(message)

def change_installation_state(name, version, status, ended='No'):
    message = {'command': 'change_installation_state',
               'recipe_name': name,
               'recipe_version': version,
               'status': status,
               'ended': ended}
    return json.dumps(message)

def log_message(name, version, msg_type, msg):
    message = {'command': 'log_message',
               'recipe_name': name,
               'recipe_version': version,
               'msg_type': msg_type,
               'msg': msg}
    return json.dumps(message)