# -*- coding: utf-8 -*-

from django.conf.urls.defaults import patterns, include, url
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    url(r'^$', 'views.home'),
    url(r'^accounts/login(.*)$', 'views.login_user'),
    url(r'^auth$', 'views.login_user'),
    url(r'^logout$', 'views.logout_user'),
    url(r'^recipes/(.*)/(.*)$', 'views.recipes'),
    url(r'^installation/(.*)/(.*)/(.*)$', 'views.installation_log'),
    url(r'^servers/(.*)$', 'views.servers'),
    url(r'^servers/(.*)/rename$', 'views.rename'),
    url(r'^servers/(.*)/delete$', 'views.delete'),
    url(r'^admin/doc/', include('django.contrib.admindocs.urls')),
    url(r'^admin/', include(admin.site.urls)),
)